:root {
  --font-base: "Inter", -apple-system, BlinkMacSystemFont, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  --font-code: "Monaspace Argon", "Monaco", "Andale Mono", "Lucida Console", "Bitstream Vera Sans Mono", "Courier New", Courier, monospace;
  --body-bg: light-dark(
    #F8F8F6,
    #212121
  );
  --common-base: light-dark(
    #f9f9f9,
    #212121
  );
  --common-base-rev: light-dark(
    #212121,
    #EFEEEA
  );
  --tooltip-bg-color: light-dark(
    #F8F8F6,
    #353535
  );
  --modal-bg-color: light-dark(
    #F8F8F695,
    #353535
  );
  --tooltip-text-color: light-dark(
    #212121,
    #ededed
  );
  --tooltip-shadow-color: light-dark(
    #00000015,
    #00000030
  );
  --tooltip-shadow-border: light-dark(
    #00000040,
    #00000030
  );
  --tooltip-hover: light-dark(
    rgba(0, 0, 0, 0.07),
    rgba(0, 0, 0, 0.07)
  );
  --tooltip-hover-2: light-dark(
    rgba(0, 0, 0, 0.07),
    #ededed20
  );
  --text-color-0: light-dark(
    #212121,
    #f9f9f9
  );
  --text-color-1: light-dark(
    #212121,
    #ededed
  );
  --section-bg-1: light-dark(
    #21212109,
    #ededed10
  );
  --text-color-2: color-mix(in srgb, var(--text-color-1) 80%, var(--body-bg));
  --text-color-3: color-mix(in srgb, var(--text-color-1) 50%, var(--body-bg));
  --text-color-4: color-mix(in srgb, var(--text-color-1) 30%, var(--body-bg));
  --text-color-5: color-mix(in srgb, var(--text-color-1) 20%, var(--body-bg));
  --text-color-rev-1: var(--body-bg);
  --text-color-rev-2: color-mix(in srgb, var(--text-color-rev-1) 80%, #ffffff);
  --text-color-rev-3: color-mix(in srgb, var(--text-color-rev-1) 50%, #ffffff);
  --text-color-error: #fb423f;
  --common-border: color-mix(in srgb, var(--text-color-1) 10%, transparent);
  --common-border-5: color-mix(in srgb, var(--text-color-1) 50%, transparent);
  --nav-action-hover: light-dark(
    color-mix(in srgb, #212121 6%, transparent),
    color-mix(in srgb, var(--common-base-rev) 7%, transparent)
  );
  --nav-action-hover-2: light-dark(
    color-mix(in srgb, #212121 6%, transparent),
    color-mix(in srgb, var(--common-base-rev) 20%, transparent)
  );
  --border-color-1: light-dark(
    color-mix(in srgb, #000 10%, var(--body-bg)),
    color-mix(in srgb, #ffffff 6%, var(--body-bg))
  );
  --border-color-2: color-mix(in srgb, #ffffff 6%, var(--body-bg));
  --border-color-3: color-mix(in srgb, #ffffff 30%, var(--body-bg));
  --border-color-4: color-mix(in srgb, #ffffff 40%, var(--body-bg));
  --border-color-5: color-mix(in srgb, #ffffff 50%, var(--body-bg));
  --border-color-6: color-mix(in srgb, #ffffff 60%, var(--body-bg));
  --border-color-7: color-mix(in srgb, #ffffff 70%, var(--body-bg));
  --border-color-8: color-mix(in srgb, #ffffff 80%, var(--body-bg));
  --border-color-9: color-mix(in srgb, #ffffff 90%, var(--body-bg));
  --border-color-10: color-mix(in srgb, #ffffff 95%, var(--body-bg));
  --border-color-11: light-dark(
    color-mix(in srgb, #212121 20%, var(--body-bg)),
    color-mix(in srgb, #ffffff 35%, var(--body-bg))
  );
  --border-color-12: light-dark(
    color-mix(in srgb, #212121 40%, var(--body-bg)),
    color-mix(in srgb, #ffffff 70%, var(--body-bg))
  );
  --border-color-rev-1: color-mix(in srgb, #ffffff 90%, var(--body-bg));
  --border-color-rev-2: color-mix(in srgb, #ffffff 20%, var(--body-bg));
  --icon-color-1: color-mix(in srgb, #ffffff 12%, var(--body-bg));
  --common-accent: light-dark(oklch(70.89% 0.185 75.67), oklch(76.89% 0.147 75.67));
  --default-common-accent: light-dark(oklch(70.89% 0.185 75.67), oklch(76.89% 0.147 75.67));
  --header-bg: color-mix(in srgb, #000 2%, var(--body-bg));
  --header-text-color: var(--text-color-1);
  --sidebar-bg: light-dark(
    #EFEEEA,
    color-mix(in srgb, #000 20%, var(--body-bg))
  );
  --modal-inner-bg: light-dark(
    #ffffff,
    color-mix(in srgb, #000 20%, var(--body-bg))
  );
  --modal-bg: light-dark(
    #EFEFEF,
    color-mix(in srgb, #fff 8%, var(--body-bg))
  );
  --input-placeholder: light-dark(
    var(--text-color-1),
    var(--text-color-3)
  );
  --input-bg: var(--nav-action-hover);
  --input-bg-focus: light-dark(
    color-mix(in srgb, #000 15%, var(--body-bg)),
    #ffffff35
  );
  --l-multiplier: 1.05;
  --c-multiplier: 1.20;
  --text-color-accent-0: light-dark(oklch(calc(67.3% * var(--l-multiplier)) calc(0.21 * var(--c-multiplier)) 25.039), oklch(67.3% 0.21 25.039));
  --text-color-accent-1: light-dark(oklch(calc(57.85% * var(--l-multiplier)) calc(0.15 * var(--c-multiplier)) 349.06), oklch(57.85% 0.15 349.06));
  --text-color-accent-2: light-dark(oklch(calc(72.4% * var(--l-multiplier)) calc(0.16 * var(--c-multiplier)) 19.59), oklch(72.4% 0.16 19.59));
  --text-color-accent-3: light-dark(#DE9D77, #DE9D77);
  --text-color-accent-4: light-dark(#FFCF96, #FFCF96);
  --text-color-accent-5: light-dark(#FFB82E, #FFB82E);
  --text-color-accent-6: light-dark(#B8B9EE, #B8B9EE);
  --text-color-accent-7: light-dark(#88D2FC, #88D2FC);
  --text-color-accent-8: light-dark(oklch(calc(66.3% * var(--l-multiplier)) calc(0.08 * var(--c-multiplier)) 200.71), oklch(66.3% 0.08 200.71));
  --text-color-accent-9: light-dark(#70D18C, #70D18C);
  --text-color-accent-10: light-dark(oklch(calc(69.1% * var(--l-multiplier)) calc(0.12 * var(--c-multiplier)) 151.34), oklch(69.1% 0.12 151.34));
  --text-color-accent-11: light-dark(#5071a7, #5071a7);
  --promo-accent: light-dark(oklch(59.1% 0.12 151.34), oklch(69.1% 0.12 151.34)); }

:root {
  color-scheme: light dark;
  --ui-accent: #ccc; }

body, div, dl, dt, dd, ul, ol, li, h1, h2, h3, h4, h5, h6, pre, form, fieldset, input, textarea, p, blockquote, th, td {
  margin: 0;
  padding: 0; }

table {
  border-collapse: collapse;
  border-spacing: 0; }

fieldset, img {
  border: 0; }

address, caption, cite, code, dfn, em, strong, th, var {
  font-style: normal;
  font-weight: normal; }

ol, ul {
  list-style: none; }

caption, th {
  text-align: left; }

h1, h2, h3, h4, h5, h6 {
  font-size: 100%;
  font-weight: normal; }

html {
  scroll-behavior: smooth; }

body {
  font-family: var(--font-base);
  margin: 0;
  font-size: 14px;
  font-weight: 700;
  color: var(--text-color-1);
  background-color: var(--body-bg); }

a {
  color: var(--text-color-1);
  text-decoration: none; }

#app {
  height: 100dvh;
  display: grid;
  grid-template-rows: 1fr auto;
  row-gap: 20px; }

header {
  display: none;
  padding: 20px 0 0 20px;
  grid-template-columns: 55px 1fr; }
  header h1 {
    font-weight: 800;
    font-size: 2em; }
  header a {
    font-size: .8rem;
    background-color: var(--modal-bg-color);
    padding: 4px 6px;
    color: var(--text-color-3);
    margin-left: 10px;
    border-radius: 6px;
    font-weight: 500; }

#palette {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  list-style: none;
  padding: 0;
  margin: 0;
  min-height: 160px;
  position: relative; }
  #palette h2, #palette h3 {
    text-align: center; }
  #palette h2 {
    margin: 0;
    font-weight: 900;
    opacity: 0.9;
    margin-bottom: 10px;
    text-transform: uppercase;
    font-size: clamp(24px, 3vw, 36px); }
  #palette h3 {
    margin: 0;
    font-size: 0.8rem;
    font-weight: 700;
    opacity: 0.6; }
  #palette ul {
    padding: 0;
    margin: 0; }
  #palette li {
    -webkit-transition: background-color 0.05s ease;
    transition: background-color 0.05s ease;
    display: -webkit-box;
    display: flex;
    -webkit-box-align: bottom;
            align-items: bottom;
    -webkit-box-pack: center;
            justify-content: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
            flex-direction: column;
    cursor: pointer;
    position: relative;
    color-scheme: light;
    color: var(--text-color-1); }
    #palette li:after {
      opacity: 0;
      content: "Copy to clipboard";
      position: absolute;
      top: 10px;
      left: 10px;
      background: rgba(0, 0, 0, 0.08);
      padding: 5px 8px;
      border-radius: 5px;
      font-size: 11px;
      pointer-events: none; }
    #palette li:hover:after {
      opacity: 1; }
    #palette li.copied:after {
      content: "Copied!"; }
  #palette .lod {
    color: #fff; }
    #palette .lod h2 {
      opacity: 0.97; }
  #palette:before, #palette:after {
    position: absolute;
    left: 0;
    content: "";
    display: block;
    height: 1px;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.1); }
  #palette:before {
    top: 0;
    z-index: 10; }
  #palette:after {
    bottom: 0; }

footer {
  margin: 0 20px;
  height: 200px; }
  footer .footerSponsor {
    display: none; }

#actions {
  display: -webkit-box;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
          flex-direction: row;
  border-bottom: solid 1px rgba(0, 0, 0, 0.1);
  padding-bottom: 20px;
  margin-bottom: 25px; }
  #actions li {
    -webkit-box-align: center;
            align-items: center;
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
            flex-direction: row;
    margin-right: 10px; }
    #actions li span {
      margin-right: 10px;
      display: inline-block;
      font-weight: 500; }
    #actions li.separator {
      padding-left: 20px;
      border-left: solid 1px rgba(0, 0, 0, 0.1); }
  #actions #reset-palette {
    display: none; }
  #actions #reset-palette.show {
    display: -webkit-box;
    display: flex; }
  #actions a {
    display: -webkit-box;
    display: flex;
    height: 35px;
    -webkit-box-align: center;
            align-items: center;
    -webkit-box-pack: start;
            justify-content: flex-start;
    padding: 0 10px;
    border-radius: 5px; }
    #actions a:hover {
      background-color: color-mix(in srgb, var(--ui-accent) 10%, transparent);
      text-decoration: none; }
    #actions a:active {
      background-color: color-mix(in srgb, var(--ui-accent) 20%, transparent); }
  #actions svg {
    margin-right: 6px; }
  #actions #new-palette {
    background-color: var(--ui-accent);
    color-scheme: light;
    color: var(--text-color-rev-1); }
    #actions #new-palette:active {
      background-color: color-mix(in srgb, var(--ui-accent) 90%, transparent); }

#adjustments li {
  display: grid;
  grid-template-columns: 170px 1fr;
  margin-bottom: 20px; }

#adjustments strong {
  font-weight: 700; }

#adjustments em {
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  background-color: var(--modal-bg-color);
  width: 30px;
  display: inline-block;
  text-align: center;
  padding: 2px 0;
  border-radius: 4px;
  color: var(--text-color-1); }

#adjustments #range-slider-hue.noUi-target {
  background: -webkit-gradient(linear, left top, right top, from(#f65050), color-stop(17%, #ffff5c), color-stop(33%, #59ee59), color-stop(50%, #4ae4e4), color-stop(66%, #3f3fe5), color-stop(83%, #ee56ee), to(#f65050));
  background: linear-gradient(to right, #f65050 0%, #ffff5c 17%, #59ee59 33%, #4ae4e4 50%, #3f3fe5 66%, #ee56ee 83%, #f65050 100%); }

#adjustments #range-slider-saturation.noUi-target {
  background: -webkit-gradient(linear, left top, right top, from(#eee), color-stop(80%, var(--ui-accent)));
  background: linear-gradient(to right, #eee 0%, var(--ui-accent) 80%); }

#adjustments #range-slider-lightness.noUi-target {
  background: -webkit-gradient(linear, left top, right top, from(#787878), color-stop(60%, #eee));
  background: linear-gradient(to right, #787878 0%, #eee 60%); }

#adjustments .rangeSlider {
  margin-top: 7px; }

#adjustments .noUi-target {
  height: 4px;
  border-radius: 0;
  background: #eee;
  border: none;
  box-shadow: none; }

#adjustments .noUi-handle {
  background: var(--ui-accent);
  border: none;
  border-radius: 18px;
  box-shadow: 0 0 0 2px var(--body-bg); }

#adjustments .noUi-horizontal .noUi-handle {
  height: 18px;
  width: 18px;
  top: -7px;
  cursor: -webkit-grab;
  cursor: grab; }

#adjustments .noUi-horizontal .noUi-handle:active {
  cursor: -webkit-grabbing;
  cursor: grabbing; }

#adjustments .noUi-handle:after,
#adjustments .noUi-handle:before {
  display: none; }

.s10 #app {
  grid-template-rows: 60px 1fr auto;
  row-gap: 20px; }

.s10 header {
  display: -webkit-box;
  display: flex;
  -webkit-box-align: center;
          align-items: center; }
  .s10 header h1 {
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
            align-items: center;
    margin-left: 20px; }

.s10 footer {
  display: grid;
  grid-template-columns: 1fr 320px;
  gap: 20px; }

.s10 .footerSponsor {
  display: block; }

.s10 #add-to-jsfiddle {
  display: none; }

#carbon-responsive .carbon-poweredby,
#carbonads #carbon-cover .carbon-footer {
  display: none; }

#carbon-responsive .carbon-text {
  font-size: 12px;
  line-height: 1.5; }

#carbon-responsive .carbon-responsive-wrap {
  background-color: initial;
  border: initial; }

#carbon-cover > a:first-child {
  -webkit-box-pack: end;
          justify-content: flex-end;
  flex-wrap: nowrap;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
          flex-direction: column;
  border-radius: 0; }

#carbon-cover a .carbon-large-image,
#carbon-cover a:hover .carbon-large-image {
  width: 25%; }

#carbon-cover .carbon-tagline {
  max-inline-size: initial; }

#carbon-cover .carbon-text {
  height: initial; }

#carbon-cover .carbon-logo img {
  width: 40%; }

#carbon-cover .carbon-description {
  height: 0; }

#carbon-cover:hover .carbon-description {
  height: initial;
  margin-bottom: 1em; }

#carbon-cover .carbon-footer {
  margin: 1ex 1ch;
  max-width: -webkit-max-content;
  max-width: -moz-max-content;
  max-width: max-content; }
